Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get organization by ID

Retrieves a specific organization by ID, including all associated users, addresses (billing and shipping), tags, and custom attributes.

GET/api/v1/{team_slug}/{app_slug}/organisations/{org_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

org_idstringrequired

Organization ID

Responses
200

Organization details

datainternal_pkg_webserver_v1.OrganisationWithUsersAndAddressesrequired
Show properties
app_idstring
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
billing_addressinternal_pkg_webserver_v1.OrganisationAddress[] | null
Show properties
Array of internal_pkg_webserver_v1.OrganisationAddress
citystring
co_addressstring
company_idstring
company_namestring
countrystring
created_atstring
house_numberstring
idstring
is_defaultboolean
namestring
phonestring
postal_codestring
state_provincestring
street_addressstring
updated_atstring | null
commentstring
contact_namestring
created_atstring
credit_checkboolean
custom_fieldsgithub_com_enadhq_nabbit_internal_pkg_database.CustomFields | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_database.CustomFields
object
null
null
customer_groupsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef
idstring
namestring
slugstring
emailstring
external_refstring
idstring
invoice_emailstring
namestring
organisation_numberstring | null
parent_idstring
phonestring
shipping_addressinternal_pkg_webserver_v1.OrganisationAddress[] | null
Show properties
Array of internal_pkg_webserver_v1.OrganisationAddress
citystring
co_addressstring
company_idstring
company_namestring
countrystring
created_atstring
house_numberstring
idstring
is_defaultboolean
namestring
phonestring
postal_codestring
state_provincestring
street_addressstring
updated_atstring | null
statusstring
tagsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Tag[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Tag
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
created_atstring
filterableboolean
idstring
keystring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
namestring
schedulesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
add_category_namesstring[]
add_collection_namesstring[]
add_tag_namesstring[]
execute_atstring

Date when the job should run

finished_atstring | null

If a job is finished will this timestamp be filled

group_idstring
idstring
item_idstring
item_namestring
item_typestring
remove_category_namesstring[]
remove_collection_namesstring[]
remove_tag_namesstring[]
to_amount_cents_with_taxinteger | null
to_market_idstring
to_market_statusstring
to_on_saleboolean | null
to_sale_amount_cents_with_taxinteger | null
to_start_sale_timestampstring
to_statusstring | null
to_stop_sale_timestampstring
to_store_group_idstring
statusstring
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.TagTranslations
Show properties
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
tax_id_vat_numberstring
updated_atstring | null
usersinternal_pkg_webserver_v1.OrganisationUser[] | null
Show properties
Array of internal_pkg_webserver_v1.OrganisationUser
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
created_atstring
custom_role_idstring
custom_role_namestring
custom_role_slugstring
emailstring
email_verifiedboolean
idstring
languagestring
levelstring
marketstring
namestring | null
phone_numberstring | null
store_groupstring
surnamestring | null
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad organization ID format)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Organization not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/organisations/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "app_id": "string",
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "billing_address": [
      {
        "city": "string",
        "co_address": "string",
        "company_id": "string",
        "company_name": "string",
        "country": "string",
        "created_at": "string",
        "house_number": "string",
        "id": "string",
        "is_default": true,
        "name": "string",
        "phone": "string",
        "postal_code": "string",
        "state_province": "string",
        "street_address": "string",
        "updated_at": "string"
      }
    ],
    "comment": "string",
    "contact_name": "string",
    "created_at": "string",
    "credit_check": true,
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "customer_groups": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "email": "string",
    "external_ref": "string",
    "id": "string",
    "invoice_email": "string",
    "name": "string",
    "organisation_number": "string",
    "parent_id": "string",
    "phone": "string",
    "shipping_address": [
      {
        "city": "string",
        "co_address": "string",
        "company_id": "string",
        "company_name": "string",
        "country": "string",
        "created_at": "string",
        "house_number": "string",
        "id": "string",
        "is_default": true,
        "name": "string",
        "phone": "string",
        "postal_code": "string",
        "state_province": "string",
        "street_address": "string",
        "updated_at": "string"
      }
    ],
    "status": "string",
    "tags": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "created_at": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "markets": [
          {
            "active": true,
            "country_codes": [
              "string"
            ],
            "created_at": "string",
            "currency_code": "string",
            "id": "string",
            "locale": "string",
            "name": "string",
            "slug": "string",
            "updated_at": "string"
          }
        ],
        "name": "string",
        "schedules": [
          {
            "add_category_names": [
              "string"
            ],
            "add_collection_names": [
              "string"
            ],
            "add_tag_names": [
              "string"
            ],
            "execute_at": "string",
            "finished_at": "string",
            "group_id": "string",
            "id": "string",
            "item_id": "string",
            "item_name": "string",
            "item_type": "string",
            "remove_category_names": [
              "string"
            ],
            "remove_collection_names": [
              "string"
            ],
            "remove_tag_names": [
              "string"
            ],
            "to_amount_cents_with_tax": 0,
            "to_market_id": "string",
            "to_market_status": "string",
            "to_on_sale": true,
            "to_sale_amount_cents_with_tax": 0,
            "to_start_sale_timestamp": "string",
            "to_status": "string",
            "to_stop_sale_timestamp": "string",
            "to_store_group_id": "string"
          }
        ],
        "status": "string",
        "translations": {
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string"
      }
    ],
    "tax_id_vat_number": "string",
    "updated_at": "string",
    "users": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "created_at": "string",
        "custom_role_id": "string",
        "custom_role_name": "string",
        "custom_role_slug": "string",
        "email": "string",
        "email_verified": true,
        "id": "string",
        "language": "string",
        "level": "string",
        "market": "string",
        "name": "string",
        "phone_number": "string",
        "store_group": "string",
        "surname": "string",
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}